summaryrefslogtreecommitdiff
path: root/Master/texmf-dist/source/latex/cjk/utils/hbf2gf/scripts/web2c-7.0/MakeTeXPK.diff
diff options
context:
space:
mode:
Diffstat (limited to 'Master/texmf-dist/source/latex/cjk/utils/hbf2gf/scripts/web2c-7.0/MakeTeXPK.diff')
-rw-r--r--Master/texmf-dist/source/latex/cjk/utils/hbf2gf/scripts/web2c-7.0/MakeTeXPK.diff67
1 files changed, 0 insertions, 67 deletions
diff --git a/Master/texmf-dist/source/latex/cjk/utils/hbf2gf/scripts/web2c-7.0/MakeTeXPK.diff b/Master/texmf-dist/source/latex/cjk/utils/hbf2gf/scripts/web2c-7.0/MakeTeXPK.diff
deleted file mode 100644
index 23f7cb58fed..00000000000
--- a/Master/texmf-dist/source/latex/cjk/utils/hbf2gf/scripts/web2c-7.0/MakeTeXPK.diff
+++ /dev/null
@@ -1,67 +0,0 @@
---- MakeTeXPK.orig Sat Feb 8 15:52:00 1997
-+++ MakeTeXPK Tue Aug 18 07:58:22 1998
-@@ -1,5 +1,5 @@
- #!/bin/sh
--# original MakeTeXPK -- make a new PK font, because one wasn't found.
-+# MakeTeXPK -- make a new PK font, because one wasn't found.
- #
- # (If you change or delete the word `original' on the previous line,
- # installation won't write this script over yours.)
-@@ -44,15 +44,54 @@
- MODE=$5
- DEST=$6
-
-+unset cmd
-+
-+# test for TTF fonts
-+if test -z "$cmd"; then
-+ ttf2pk -q $NAME $DPI
-+ errstatus=$?
-+
-+ if test $errstatus -ne 2; then
-+ if test $errstatus -ne 0; then
-+ echo "ttf2pk failed" >&2
-+ exit 1
-+ fi
-+ MODE=modeless
-+ cmd=true
-+ fi
-+fi
-+
-+# test for HBF fonts
-+if test -z "$cmd"; then
-+ hbf2gf -q -p $NAME $DPI
-+ errstatus=$?
-+
-+ if test $errstatus -ne 2; then
-+ if test $errstatus -ne 0; then
-+ echo "hbf2gf failed" >&2
-+ exit 1
-+ fi
-+ MODE=modeless
-+ cmd=true
-+ fi
-+fi
-+
-+unset psline
-+
- # grep for the font in $PSMAPFILE. These are base font names, such as
- # rpplr (the original) or pplr0 (an interim step) or pplr8r (current).
--pattern="^r?$NAME"'(0|8r)?([ ]|$)'
--psline=`egrep "$pattern" $PSMAPFILE`
-+if test -z "$cmd"; then
-+ pattern="^r?$NAME"'(0|8r)?([ ]|$)'
-+ psline=`egrep "$pattern" $PSMAPFILE`
-+fi
-+
- if test -n "$psline"; then
- MODE=modeless
- # ps_to_pk set in MakeTeXcommon and/or MakeTeX.site.
- cmd="$ps_to_pk $NAME $DPI"
--else
-+fi
-+
-+if test -z "$cmd"; then
- # Check that $BDPI and $MODE are consistent; if not, ignore the mode and
- # hope we can correctly guess it from bdpi. (People like to specify the
- # resolution on the command line, not the mode so much.)